package com.adc.da.znks.dao;

import com.adc.da.base.dao.BaseDao;
import com.adc.da.znks.entity.Device;
import com.adc.da.znks.entity.LockRecord;
import com.adc.da.znks.vo.LockRecordVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * @author David
 */
@Mapper
public interface LockRecordDao extends BaseDao<LockRecord> {

    void insertLockRecord(LockRecord lockRecord);

    List<Map<String,Object>> selectLockRecord(@Param("mac") String mac,@Param("deviceCode") String deviceCode);


    List<LockRecordVO> getLockRecordVOs(@Param("telphone") String phone,@Param("deviceName")String deviceName,
                                        @Param("pageNum")Integer pageNum,@Param("pageSize")Integer pageSize);
}
