package com.adc.da.znks.util;

import sun.misc.BASE64Decoder;
import sun.misc.BASE64Encoder;

import java.io.IOException;
import java.nio.charset.Charset;

/**
 * @author ley
 * **/
public class Base64Utils {
    /**
     * byte to base64
     **/
    public static String encode(byte[] bytes) {
        BASE64Encoder base64Encoder = new BASE64Encoder();
        return base64Encoder.encode(bytes);
    }

    /**
     * base64 to byte
     **/
    public static byte[] decode(String base64) throws IOException {
        BASE64Decoder base64Decoder = new BASE64Decoder();
        return base64Decoder.decodeBuffer(base64);
    }

    public static void main(String[] args) throws IOException {
        final String testString = "hello,i am chenkangxian,good night!";
        System.out.println(encode(testString.getBytes()));
        String base64Str = "aGVsbG8saSBhbSBjaGVua2FuZ3hpYW4sZ29vZCBuaWdodCE=";
        System.out.println(new String(decode(base64Str), Charset.defaultCharset()));
    }
}
