package com.adc.da.znks.util;

import java.util.Calendar;
import java.util.Date;

/**
 * 获取一天起始时间和结束时间
 **/
public class DateTimeUtil {


    public static Date getCurrentDayStartTime() {
        Calendar todayStart = Calendar.getInstance();
        todayStart.set(Calendar.HOUR_OF_DAY, 0);
        todayStart.set(Calendar.MINUTE, 0);
        todayStart.set(Calendar.SECOND, 0);
        todayStart.set(Calendar.MILLISECOND, 0);
        return todayStart.getTime();
    }


    public static long getHoursFromCurrentDayStartTime(Date currentTime) {
        Date startTime = getCurrentDayStartTime();
        long startTimeLong = startTime.getTime();
        long currentTimeLong = currentTime.getTime();
        long between = currentTimeLong - startTimeLong;
        long day = between / (24 * 60 * 60 * 1000);
        long hour = (between / (60 * 60 * 1000) - day * 24);
        return hour;
    }

    public static Date getCurrentDayEndTime() {
        Calendar todayEnd = Calendar.getInstance();
        todayEnd.set(Calendar.HOUR_OF_DAY, 23);
        todayEnd.set(Calendar.MINUTE, 59);
        todayEnd.set(Calendar.SECOND, 59);
        todayEnd.set(Calendar.MILLISECOND, 999);
        return todayEnd.getTime();
    }
}
