package com.adc.da.znks.util.netty;

import com.adc.da.znks.util.SystemValue;
import io.netty.channel.Channel;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName ActiveGateWay
 * @Descroption TODO
 * @Author 王夏晖
 * @Date 2018/9/17 0017 19:50
 **/
@Component
public class ActiveGateWay {
    @Scheduled(cron = "0 0/1 * * * ?")
    public void timerToNow(){
        Map<String,Object> channelMap = SystemValue.channelMap;
        for (Map.Entry<String,Object> entry : channelMap.entrySet()) {
            byte[] request = new byte[23];
            request[0] = 0x4d;
            request[1] = 0x41;
            request[2] = 0x43;
            request[3] = 0x5F;
            request[4] = 0x52;
            request[5] = 0x45;
            request[6] = 0x51;
            request[7] = 0x55;
            request[8] = 0x45;
            request[9] = 0x53;
            request[10] = 0x54;
            Channel channel = (Channel)entry.getValue();
            channel.writeAndFlush(request);
        }
    }
}
